import request from '@/utils/request'

 // let domain = 'http://localhost:10050';

  let domain = 'http://oa.aivfo.com:36000';

/**
 * 上传文件
 * @param data
 * @returns {*}
 */
export function uploadFile(data){
  return request({
    url:'/file/uploadFile',
    method:'post',
    data:data
  })
}

export function uploadFileUrl(){
  return  domain+'/api/oa/file/uploadFile';
}


/**
 * 删除文件
 * @param id
 * @returns {*}
 */
export function deleteFile(fileName){
  return request({
    url: '/file/deleteFile?fileName='+fileName,
    method: 'get'
  })
}
