export default {
  data(){
    return {
      editor: null,
      html: undefined,
      toolbarConfig: {
        toolbarKeys: [
          "bold",
          "underline",
          "italic",
          "through",
          "color",
          "bgColor",
          "|",
          "bulletedList",
          "numberedList",
          "justifyLeft",
          "justifyRight",
          "justifyCenter",
          "|",
          "fullScreen"

        ]
      },
      editorConfig: {placeholder: '请输入内容...'},
      mode: 'simple', // or 'simple'
    }
  },
  beforeDestroy() {
    const editor = this.editor
    if (editor == null) return
    editor.destroy() // 组件销毁时，及时销毁编辑器
  },
  methods: {
    onCreated(editor) {
      this.editor = Object.seal(editor) // 一定要用 Object.seal() ，否则会报错
    },


  }
}
