import request from '@/utils/request'


/**
 * 获取运维记录列表
 * @param id
 * @returns {*}
 */
export function getEnforceRecordList(id) {
  return request({
    url: '/enforceRecord/getEnforceRecordList?enforceId='+id,
    method: 'get'
  })
}


/**
 * 编辑运维记录信息
 * @param data
 * @returns {*}
 */
export function editEnforceRecord(data){
  return request({
    url: '/enforceRecord/editEnforceRecord',
    method: 'post',
    data:data
  })
}

